Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.config
Class ResourceConfigPortalAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController
                          org.hyperic.hq.ui.action.resource.common.monitor.config.ResourceConfigPortalAction

Direct Known Subclasses:
  ConfigPortalAction, ConfigPortalAction, ConfigPortalAction, ConfigPortalAction, ConfigPortalAction, ConfigPortalAction

    public abstract class ResourceConfigPortalAction

extends ResourceController

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ResourceConfigPortalAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `configMetrics(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`fetchReturnPathParams, setNavMapLocation, setResource, setResource, setResource, setReturnPath, setReturnPath`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute, getKeyMethodMap`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceConfigPortalAction

    public ResourceConfigPortalAction()

Method Detail

### configMetrics

    public org.apache.struts.action.ActionForward configMetrics(org.apache.struts.action.ActionMapping mapping,
                                                                org.apache.struts.action.ActionForm form,
                                                                javax.servlet.http.HttpServletRequest request,
                                                                javax.servlet.http.HttpServletResponse response)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.